Get full thread details including all messages, sources, and personas used.
curl --request GET \
--url https://app.mavera.io/api/v1/mave/threads/{threadId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"object": "mave_thread",
"title": "<string>",
"current_phase": "<string>",
"complexity": "<string>",
"credits_used": 123,
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"persona": {
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"sources": [
{
"id": "<string>",
"title": "<string>",
"url": "<string>",
"snippet": "<string>",
"source_type": "<string>",
"domain": "<string>"
}
],
"personas_used": [
{
"id": "<string>",
"name": "<string>",
"category": "<string>"
}
]
}API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Thread ID
Thread details
Full thread details with messages and sources
mave_thread Show child attributes
Show child attributes
Show child attributes
curl --request GET \
--url https://app.mavera.io/api/v1/mave/threads/{threadId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"object": "mave_thread",
"title": "<string>",
"current_phase": "<string>",
"complexity": "<string>",
"credits_used": 123,
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"persona": {
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"sources": [
{
"id": "<string>",
"title": "<string>",
"url": "<string>",
"snippet": "<string>",
"source_type": "<string>",
"domain": "<string>"
}
],
"personas_used": [
{
"id": "<string>",
"name": "<string>",
"category": "<string>"
}
]
}